<%@page pageEncoding="UTF-8"  errorPage="globalError.jsp" %>
<%@page import="com.sas.ets.creditrisk.view.Labels" %>
<%@page import="com.sas.ets.creditrisk.ResourceKeysCreditrisk" %>
<%@include file="common_include_top.inc" %>
<%@page import="java.util.*" %>
<%@page import="com.sas.ets.creditrisk.SessionKeys" %>

<%@ taglib uri="http://www.sas.com/taglib/sas" prefix="sas" %>

<!DOCTYPE html>
<!-- Copyright (c) 2003-2009 by SAS Institute Inc., Cary, NC 27513 USA. All Rights Reserved. -->

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8"/>

<title>${labels.applicationTitle}</title>

<sas:StyleSheet/>
<sas:InitializeComponents/>

<%
ResourceBundle resourceb =(ResourceBundle) session.getAttribute(SessionKeys.RESOURCE_BUNDLE); 
String runLabelValue = 			resourceb.getString("wizard.intro.btn.run.txt");
String viewDiagnosticLabel	=  resourceb.getString("wizard.intro.btn.diagnostics.txt");
String wizardNextLabel = 			resourceb.getString("wizard.next.txt");
String wizardPreviousLabel = 			resourceb.getString("wizard.previous.txt");
String wizardFinishLabel = 			resourceb.getString("wizard.finish.txt");
String wizardCancelLabel = 			resourceb.getString("wizard.cancel.txt");
String buttonOk = 				resourceb.getString("common.ok.txt");
String buttonDone = 			resourceb.getString("common.done.txt");
String buttonCancel = 			resourceb.getString("common.cancel.txt");
String btnLabelDisplayLog = resourceb.getString(ResourceKeysCreditrisk.JSP_STORED_PROC_STAT_DISPLAY_LOG);
String btnLabelDisplayErr = resourceb.getString(ResourceKeysCreditrisk.JSP_BATCH_SAS_VIEW_DISPLAY_ERR);
String btnLabelDisplayWarn = resourceb.getString(ResourceKeysCreditrisk.JSP_BATCH_SAS_VIEW_DISPLAY_WARN);
String buttonLabelRefreshSTP = (String)(request.getAttribute("storedProcStatREfresh"));
String buttonLabelDisplayLogSTP = (String) (request.getAttribute("storedProcStatDispalyLog"));
String buttonLabelClearSTP = (String) (request.getAttribute("storedProcStatClearResult"));
String buttonLabelAdhocSTP = (String) (request.getAttribute("storedProcStatAdhoc"));


if (request.getAttribute("auto-refresh")!=null) {
	String interval = "60";//Config.get("criskm.autorefresh.interval");
	if (interval==null) interval="60";
	Object obj = request.getAttribute("javax.servlet.forward.request_uri");
	String url = obj!=null?(String) request.getAttribute("javax.servlet.forward.request_uri"):"//";
	if (request.getQueryString()!=null) url = url + "?"+request.getQueryString();
	
	
%>
<meta http-equiv="Refresh" content="<%=interval%>" URL=<%=url%>"/> 
<%
}//if
else{
	%>
	<%@taglib uri='http://www.sas.com/taglib/sas-uis' prefix='sas-uis' %>
	<sas-uis:Timeout />
	<%
}
String imageLoc = (String)session.getAttribute("themeImageLocation");
String scriptsLoc = request.getContextPath()+ "/scripts/";
String styleLoc =  (String)session.getAttribute("themeStyleLocation");
if (imageLoc==null && styleLoc==null ) {
	imageLoc = request.getContextPath()+ "/images/risk/";
	styleLoc = request.getContextPath()+ "/styles/";
}
%>

<link rel="stylesheet" href="<%=styleLoc%>sasStyle.css"/>
<link rel="stylesheet" href="<%=styleLoc%>Portal.css"/>

<script type="text/javascript" src="<%=scriptsLoc%>sasSolutions.js"></script>
<style type="text/css">

html, body 
{ 
height: 100%; 
}

.promptGroupListExpandBar {
      display:none;
}     
.promptGroupListContainer {
      display:none;
}     

.rfs_comboBoxViewDropDown {
	background: #FFFFFF; 
	border: solid #000000; 
	border-width: 1px;
	overflow-x:auto;
	overflow-y:hidden;
	position: absolute;
	visibility: hidden;
	width: 241px;
}

#messages
{
    height: 24px;
}

</style>

<script type="text/javascript">

window.onload = restoreWizardLabel;
window.onload = restoreProfilesButtonLabel;
window.onload = restoreLogsLabel;
window.onload = restoreSTPLogsLabel; 

function submitDisableAllForms() {
	cleanUpWizardElementsLabel();
	cleanUpProfilesButtonLabel();
	cleanUpLogsLabel();
	cleanUpSTPLogsLabel();
    setTimeout("disableAllForms()", 100);
    return true;
}

function disableAllForms() {
    // Loop through each form on this page
    for (var i = 0; i < document.forms.length; i++) {
        // Loop through each element in the form
        var form = document.forms[i];
        for (var j = 0; j < form.length; j++) {
            // Disable each element
            var element = form.elements[j];
            element.disabled = true;
        }
    }
}

function enableAllForms() {
    // Loop through each form on this page
    for (var i = 0; i < document.forms.length; i++) {
        // Loop through each element in the form
        var form = document.forms[i];
        for (var j = 0; j < form.length; j++) {
            // Disable each element
            var element = form.elements[j];
            element.disabled = false;
        }
    }
}
<!-- Functions added for label defect START -->
function restoreViewDiagnosticLabel() {
	var diagnosticButton = document.getElementById('viewDiagnostics');
	if(diagnosticButton!=null){
		diagnosticButton.value="<%=viewDiagnosticLabel %>";	
	}
	
	
}

function restoreRunLabel() {
	if(document.getElementById("WizardForm")!=null){
	var elements = document.getElementById("WizardForm").elements;
	for (var i = 0; i < elements.length; i++){
	 if (elements[i].name == "WizardController_NEXT"){
		 elements[i].value =  "<%=runLabelValue %>";
	 }
	}
	}
	
}

function restoreWizardLabel() {

	if(document.getElementById("WizardForm")!=null){
		var elements = document.getElementById("WizardForm").elements;
	
	for (var i = 0; i < elements.length; i++){
	 if (elements[i].name == "WizardController_NEXT"){
		 elements[i].value =  "<%=wizardNextLabel %>";
	 }
	 if (elements[i].name == "WizardController_PREVIOUS"){
		 elements[i].value =  "<%=wizardPreviousLabel %>";
	 }
	 if (elements[i].name == "WizardController_FINISH"){
		 elements[i].value =  "<%=wizardFinishLabel %>";
	 }
	 if (elements[i].name == "WizardController_CANCEL"){
		 elements[i].value =  "<%=wizardCancelLabel %>";
	 }
	}
	}
}

function filterDiagnosticLabel(){
		var viewDiagnosticsVar = document.getElementById("viewDiagnostics");
		if(viewDiagnosticsVar!=null){
			viewDiagnosticsVar.value='View Result Diagnostics';	
		}
		
}

function cleanUpWizardElementsLabel(){

if(document.getElementById("WizardForm")!=null){
var elements = document.getElementById("WizardForm").elements;
	 	for (var i = 0; i < elements.length; i++){
	 		if (elements[i].name == "WizardController_NEXT"){
	 			//run or NEXT
	 			var viewDiagnosticsVar = document.getElementById("viewDiagnostics");
					if(viewDiagnosticsVar!=null){
						elements[i].value =  "Run";
					}else {
						elements[i].value =  "Next>";
					}
	 		}
	 if (elements[i].name == "WizardController_PREVIOUS"){
		 elements[i].value =  "<Previous";
	 }
	 if (elements[i].name == "WizardController_FINISH"){
		 elements[i].value =  "Finish";
	 }
	 if (elements[i].name == "WizardController_CANCEL"){
		 elements[i].value =  "Cancel";
	 }
	 	}
		}
}
function cleanUpRunLabel(){
	if(document.getElementById("WizardForm")!=null){
		var elements = document.getElementById("WizardForm").elements;
			 	for (var i = 0; i < elements.length; i++){
			 		if (elements[i].name == "WizardController_NEXT"){
				 		elements[i].value =  "Run";
			 		}
				}
	}
}

function cleanUpLogsLabel(){
	if(document.getElementById("renderScenarioResults")!=null){
		var elements = document.getElementById("renderScenarioResults").elements;
			 	for (var i = 0; i < elements.length; i++){
			 		if (elements[i].name == "displayAllLines0"){
				 		elements[i].value =  "Display Log";
			 		}
			 		if (elements[i].name == "displayErrors0"){
				 		elements[i].value =  "Display Errors";
			 		}
			 		if (elements[i].name == "displayWarnings0"){
				 		elements[i].value =  "Display Warnings";
			 		}
				}
	}
}

function cleanUpSTPLogsLabel(){
	if(document.getElementById("storedProcessStatusScenarioResults")!=null){
		var elements = document.getElementById("storedProcessStatusScenarioResults").elements;
			 	for (var i = 0; i < elements.length; i++){
			 		if (elements[i].name == "refresh"){
				 		elements[i].value =  "Refresh Status";
			 		}
			 		if (elements[i].name == "displayAllLines"){
				 		elements[i].value =  "Display Log";
			 		}
			 		if (elements[i].name == "clearLastResults"){
				 		elements[i].value = "Clear Execution Status";
			 		}
			 		if (elements[i].name == "adhoc"){
				 		elements[i].value = "OLAP and Ad Hoc Reporting";
			 		}
				}
	}
}

function restoreSTPLogsLabel(){

	if(document.getElementById("storedProcessStatusScenarioResults")!=null){
		var elements = document.getElementById("storedProcessStatusScenarioResults").elements;
			 	for (var i = 0; i < elements.length; i++){
			 		if (elements[i].name == "refresh"){
				 		elements[i].value =  "<%=buttonLabelRefreshSTP%>";
			 		}
			 		if (elements[i].name == "displayAllLines"){
				 		elements[i].value =  "<%=buttonLabelDisplayLogSTP%>";
			 		}
			 		if (elements[i].name == "clearLastResults"){
				 		elements[i].value = "<%=buttonLabelClearSTP%>";
			 		}
			 		if (elements[i].name == "adhoc"){
				 		elements[i].value = "<%=buttonLabelAdhocSTP%>";
			 		}
				}
	}
}

function restoreLogsLabel(){
	if(document.getElementById("renderScenarioResults")!=null){
		var elements = document.getElementById("renderScenarioResults").elements;
		if(elements!=null){
			 	for (var i = 0; i < elements.length; i++){
			 		if (elements[i].name == "displayAllLines0"){
				 		elements[i].value =  "<%=btnLabelDisplayLog%>";
			 		}
			 		if (elements[i].name == "displayErrors0"){
				 		elements[i].value =  "<%=btnLabelDisplayErr%>";
			 		}
			 		if (elements[i].name == "displayWarnings0"){
				 		elements[i].value =  "<%=btnLabelDisplayWarn%>";
			 		}
				}
		}
	}
}

function cleanUpProfilesButtonLabel(){
	var okButton = document.getElementById("BUTTON_OK");
	if(okButton != null){
		okButton.value='OK';
	}
	var doneButton = document.getElementById("BUTTON_DONE");
	if(doneButton != null){
		doneButton.value='DONE';
	}
	var cancelButton = document.getElementById("BUTTON_CANCEL");
	if(cancelButton != null){
		cancelButton.value='CANCEL';
	}
	
}

function restoreProfilesButtonLabel(){
	var okButton = document.getElementById("BUTTON_OK");
	if(okButton != null){
		okButton.value=  "<%=buttonOk %>";
	}
	var doneButton = document.getElementById("BUTTON_DONE");
	if(doneButton != null){
		doneButton.value=  "<%=buttonDone %>";
	}
	var cancelButton = document.getElementById("BUTTON_CANCEL");
	if(cancelButton != null){
		cancelButton.value=  "<%=buttonCancel %>";
	}
	
}
<!-- Functions added for label defect END -->
</script>

</head>
<%@include file="common_include_bottom.inc" %>
