<%@page import="com.sas.ets.creditrisk.common.CRMBConstants"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib uri="http://www.sas.com/taglib/sas" prefix="sas" %>
<%@page import="com.sas.ets.creditrisk.StoredProcessRunList" %>
<%@page import="com.sas.ets.creditrisk.SessionKeys" %>
<%@page import="java.util.*" %>
<%@page import="com.sas.ets.creditrisk.util.RbUtil" %>
<%@page import="com.sas.services.user.UserContextInterface" %>
<%@page import="com.sas.ets.creditrisk.beans.StoredProcessMetadata"%>
<%@page import="com.sas.ets.creditrisk.ResourceKeysCreditrisk"%>
<%@page import="com.sas.ets.creditrisk.beans.FolderBean"%>
<%@page import="com.sas.ets.creditrisk.controller.IntroStoredProcessController"%>

<%@include file="common_include_top.inc" %>

<jsp:include page="BodyMain_new.jsp" />
<jsp:include page="message_box_new.jsp"/>
<%
Boolean masterMode = new Boolean(false);
if(session.getAttribute(SessionKeys.WIZ_USEROPTIONS_USERMODE)!=null){
	masterMode = (Boolean)session.getAttribute(SessionKeys.WIZ_USEROPTIONS_USERMODE);
}
boolean executionInProgress=StoredProcessRunList.isExecuting(session);
ResourceBundle rb =(ResourceBundle) session.getAttribute(SessionKeys.RESOURCE_BUNDLE); 
String runLabelValue = 			rb.getString("wizard.intro.btn.run.txt");
String viewDiagnosticLabel	=  rb.getString("wizard.intro.btn.diagnostics.txt");



%>
<jsp:include page="wizard_buttons_form_start.jsp" />
<input type="hidden" name="task_key" id="task_key" value="<%=CRMBConstants.ANALYSIS_LOG%>" />
<input type="hidden" name="menu_key" id="menu_key" value="<%=request.getParameter("menu_key")%>" />
<div id="backgroundLeftPanel" >
</div>
<script type="text/javascript">
	var executionIsInProgress = <%=executionInProgress %>;
	var statusUpateRequired = true;
	var IN_PROGRESS_STATUS = "<%=CRMBConstants.IN_PROGRESS %>" ;
	var EXECUTED_SUCESSFULLY_STATUS = "<%=CRMBConstants.EXECUTED_SUCESSFULLY%>";
	var FAILED_STATUS="<%=CRMBConstants.EXECUTED_WITH_ERRORS %>";
	var NOT_EXECUTED_STATUS = "<%=CRMBConstants.NOT_EXECUTED%>";

	var IN_PROGRESS_STATUS_MSG = "<%=rb.getString("wizard.intro.stp.status.in.progress.fmt")%>";
	var EXECUTED_SUCESSFULLY_STATUS_MSG = "<%=rb.getString("wizard.intro.stp.status.successfully.executed.txt")%>";
	var FAILED_STATUS_MSG = "<%=rb.getString("wizard.intro.stp.status.failed.txt")%>";
	var NOT_EXECUTED_STATUS_MSG = "<%=rb.getString("wizard.intro.stp.status.not.executed.txt")%>";
	
	if(window.attachEvent) {
	    window.attachEvent('onload', startPageRefreshTimer);
	} else {
	    if(window.onload) {
	        var curronload = window.onload;
	        var newonload = function() {
	            curronload();
	            startPageRefreshTimer();
	        };
	        window.onload = newonload;
	    } else {
	        window.onload = startPageRefreshTimer;
	    }
	}


	var xmlHttp

	/* Defines the xmlHttp object cross-browser */
	function GetXmlHttpObject()
	 { 
	  var objXMLHttp=null;
	  if (window.XMLHttpRequest)
	    {
	     objXMLHttp=new XMLHttpRequest();
	    }
	  else if (window.ActiveXObject)
	    {
	     objXMLHttp=new ActiveXObject("Microsoft.XMLHTTP");
	    }
	  return objXMLHttp;
	 } 

	function getRefreshedSTPStatus()
	 { 
	  xmlHttp=GetXmlHttpObject();
	  if (xmlHttp==null)
	    {
	     alert ("<%=rb.getString(ResourceKeysCreditrisk.JSP_ERROR_AJAX_SUPPORT)%>");
	     return
	    } 

	  xmlHttp.open("POST","storedProcessStatusAJAX.do");
	  xmlHttp.onreadystatechange=renderResponse;
	  xmlHttp.send();
	}

	function renderResponse(){
		if (xmlHttp.readyState==4 && xmlHttp.status==200)
		{ 	
		 var response = xmlHttp.responseText;

		 if (window.DOMParser)
		   {
		   parser=new DOMParser();
		   xmlDoc=parser.parseFromString(response,"text/xml");
		   }
		 else // Internet Explorer
		   {
		   xmlDoc=new ActiveXObject("Microsoft.XMLDOM");
		   xmlDoc.async=false;
		   xmlDoc.loadXML(response);
		   }
		  result="";
		 var executionStatus = xmlDoc.getElementsByTagName("ExecutionInProgress");
		 	if("true" == executionStatus[0].childNodes[0].nodeValue){
			 	executionIsInProgress = true;
		 	}else{
			 	executionIsInProgress = false;
		 	}
		 applyExecutionStatusChange();
		 var arr = xmlDoc.getElementsByTagName("StoredProcess");
		 var arrLength = arr.length;
		 updateDiagnosticButton(false);
		 for (var i=0;i<arrLength;i++)
		   {
		 	updateDomForStatusChange(arr[i]);
		   }
		   
		 startPageRefreshTimer();
	 	 delete xmlHttp;
		 xmlHttp = null;
		} 
	}

	function updateDomForStatusChange(stpNode){
		var stpname = stpNode.getElementsByTagName("name")[0].childNodes[0].nodeValue;
		var stpStatus = stpNode.getElementsByTagName("status")[0].childNodes[0].nodeValue;
		var stpLogFileName = stpNode.getElementsByTagName("logFileName")[0].childNodes[0].nodeValue;
		var stpLogPath = stpNode.getElementsByTagName("logFilePath")[0].childNodes[0].nodeValue;
		var percentage = stpNode.getElementsByTagName("percentageComplete")[0].childNodes[0].nodeValue;
		var lastExecutionDate = stpNode.getElementsByTagName("lastExecutionDate")[0].childNodes[0].nodeValue;
		var containerStatus = document.getElementById(stpname+"_status");
		var containerLog = document.getElementById(stpname+"_log");
		var containerRR = document.getElementById(stpname+"_R&R");
		var containerLEDATE = document.getElementById(stpname+"_LEDATE");
		if(containerStatus != null){
			if(stpStatus.toLowerCase() == NOT_EXECUTED_STATUS.toLowerCase()){
				containerStatus.innerHTML  ="&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+ NOT_EXECUTED_STATUS_MSG;
				containerLog.innerHTML = "&nbsp;";
				if(containerRR != null){
					containerRR.innerHTML = "&nbsp";
				}
			}
			else if(stpStatus.toLowerCase() == EXECUTED_SUCESSFULLY_STATUS.toLowerCase()){
				containerStatus.innerHTML  = "<img src=\"images/risk/Complete.gif\" />&nbsp;"+EXECUTED_SUCESSFULLY_STATUS_MSG;
				containerLog.innerHTML = "<img src=\"images/risk/Log.gif\" />&nbsp;<a href=\"renderreport.do?libname=RD_LOGS&file="+stpLogFileName+"&task_key=AnalysisLogs&menu_key=Scenarios\">"+"<%=rb.getString("wizard.intro.view.log.txt") %>"+"</a>";
				if(containerRR != null){
					containerRR.innerHTML = "<img src=\"images/risk/ResultsTableReport.gif\" />&nbsp;<a href=\""+"<%=rb.getString("Analysis_Results")+"&task_key=Results&menu_key=Analysis_Results"%>\">"+"<%=rb.getString("wizard.intro.view.result.txt") %>"+"</a>";
					updateDiagnosticButton(true);
				}
			}
			else if(stpStatus.toLowerCase() == FAILED_STATUS.toLowerCase()){
				containerStatus.innerHTML  = "<img src=\"images/risk/Error.gif\" />&nbsp;"+FAILED_STATUS_MSG;
				containerLog.innerHTML = "<img src=\"images/risk/Log.gif\" />&nbsp;<a href=\"renderreport.do?libname=RD_LOGS&file="+stpLogFileName+"&task_key=AnalysisLogs&menu_key=Scenarios\">"+"<%=rb.getString("wizard.intro.view.log.txt") %>"+"</a>";
				if(containerRR != null){
					containerRR.innerHTML = "&nbsp";
				}
			}
			else if(stpStatus.toLowerCase() == IN_PROGRESS_STATUS.toLowerCase()){
				var percMessage = IN_PROGRESS_STATUS_MSG.replace("{0}",percentage);
				containerStatus.innerHTML  = "<img src=\"images/risk/Progress.gif\" />&nbsp;"+percMessage;
				containerLog.innerHTML = "&nbsp;";
				if(containerRR != null){
					containerRR.innerHTML = "&nbsp";
				}
				statusUpateRequired=true;
			}
		}
		if(containerLEDATE != null){
			if(lastExecutionDate != null && lastExecutionDate!=""){
				containerLEDATE.innerHTML = lastExecutionDate;
			}else{
				containerLEDATE.innerHTML = "&nbsp";
			}
			
		}
	}

	function startPageRefreshTimer(){
		restoreViewDiagnosticLabel();
		restoreRunLabel();
		
		if(executionIsInProgress || statusUpateRequired){
		setTimeout(function(){getRefreshedSTPStatus();},5000);
		statusUpateRequired=false;
		}
	}

	function applyExecutionStatusChange(){
		var inputList = document.getElementsByTagName('input');
		for(var i=0;i<inputList.length;i++){
			if(inputList[i].type == 'submit' && inputList[i].name == 'WizardController_NEXT' ){
				if(!executionIsInProgress){
					inputList[i].className="button";
					inputList[i].disabled = false;
				}else{
					inputList[i].className="buttonDisabled";
					inputList[i].disabled = true;
				}
				
			}
		}
		document.getElementById("progress_div").style.display=(executionIsInProgress)?"block":"none";
	}
	
	function updateDiagnosticButton(booleanVal){
		var diagnosticButton = document.getElementById('viewDiagnostics');
		
		if(diagnosticButton != null){
			if((!executionIsInProgress) && booleanVal){
				diagnosticButton.className="button";
				diagnosticButton.disabled=false;
			}else{
				diagnosticButton.className="buttonDisabled";
				diagnosticButton.disabled=true;
			}
		}
	}
	
	function submitFormForFolder(folderUrl){
		var hidden = document.getElementById('<%=StoredProcessRunList.SP_SEARCH_LOCATION_KEY%>');
		hidden.value=folderUrl;
		hidden = document.getElementById("task_key");
		hidden.value = "<%=request.getParameter("task_key")%>";
		//document.WizardForm.submit();
	 	cleanUpRunLabel();
	 	filterDiagnosticLabel();
		return submitDisableAllForms();
	}

	function openResultDiagnostics(){
		document.WizardForm.action = "<%=request.getContextPath() + "/viewDiagnostics.do"%>";
		document.getElementById("task_key").value="<%=CRMBConstants.ANALYSIS_DIAGNOSTICS%>";
		document.getElementById("menu_key").value="Valuation_Project";
		//document.WizardForm.submit();
		
		cleanUpRunLabel();
	 	filterDiagnosticLabel();
		
		return submitDisableAllForms();
	}


	function updateProfileSettingsButton(){
		var inputList = document.getElementsByTagName('td');
		for(var i=0;i<inputList.length;i++){
			
			if(inputList[i].id == 'profileSettings' || inputList[i].name == 'profileSettings'){
				if(!executionIsInProgress){
					inputList[i].className="button";
					inputList[i].disabled = false;
					
				}else{
					inputList[i].className="buttonDisabled";
					inputList[i].disabled = true;
					}
				
			}
		}
		}

</script>
<div class="toppadding leftpadding rightpadding bottompadding" >

<input type="hidden" name="<%=StoredProcessRunList.SP_SEARCH_LOCATION_KEY %>" id="<%=StoredProcessRunList.SP_SEARCH_LOCATION_KEY %>" value="NONE"/>
<div id="progress_div" style="<%=(executionInProgress)?"display: block":"display: none" %>">
<img src="images/risk/Progress.gif" /><%=rb.getString("wizard.intro.stp.execution.in.progress.txt") %>
</div>
<%
List<FolderBean> uniqueFolders = (List<FolderBean>)session.getAttribute(IntroStoredProcessController.TOP_LEVEL_FOLDERS_MAP_KEY);
Collections.sort(uniqueFolders);
Boolean isAnalysisFolder=false;
String folderName = null;
Object o = session.getAttribute(StoredProcessRunList.SP_SEARCH_LOCATION_KEY);
if(o != null){
	folderName = ((String[])o)[0];
}
boolean pageRefreshRequired = false;
int count = 0;
for(FolderBean parent : uniqueFolders){
	//TODO Anup: Check with paresh for this hardcoding
	isAnalysisFolder = parent.getFolderName().equalsIgnoreCase("Analysis Tasks");
	boolean isAnySuccessfullExecution=false;
	 if(parent.getSubFolders().size() > 0){
	%>

<div id="tasksTable">
<div class="commonSubheading"><%=(String)parent.getFolderName() %></div>
<table width="100%" class="mainTable" cellspacing="0" cellpadding="3" border="0" >
<thead>
<tr class="tableColumnHeaderRow">
	<th width="20%" class="tableColumnHeader"><%=rb.getString("wizard.intro.th.task.txt") %></th>
	<th width="20%" class="tableColumnHeader"><%=rb.getString("wizard.intro.th.status.txt") %></th>
	<th width="20%" class="tableColumnHeader"><%=rb.getString("wizard.intro.th.log.txt") %></th>
	<%if(isAnalysisFolder){ %><th width="20%" class="tableColumnHeader"><%=rb.getString("wizard.intro.th.result.reports.txt") %></th><%} %>
	<th width="<%=(isAnalysisFolder)?"20%":"40%" %>20%" class="tableColumnHeader"><%=rb.getString("wizard.intro.th.last_run.txt") %></th>
</tr>
</thead>
<tbody>
<%
List<FolderBean> baseFoldersList =(List<FolderBean>)parent.getSubFolders();
Collections.sort(baseFoldersList);
for(FolderBean baseFolderBean:baseFoldersList) {
	
			%>
				<tr class="tableRow">
					<td class="tableData"><b><%=baseFolderBean.getFolderName()%></b></td>
					<td class="tableData">&nbsp;</td>
					<td class="tableData">&nbsp;</td>
					<%if(isAnalysisFolder){ %><td class="tableData">&nbsp;</td><%} %>
					<td class="tableData">&nbsp;</td>
				</tr>
			<%
		for(StoredProcessMetadata stpMeta:baseFolderBean.getStoredProcessMetadatas()){
			%>
				<tr class="tableRow" style="display: <%=(!masterMode.booleanValue() && stpMeta.getName().equalsIgnoreCase("Update entity data mart")?"none":" ")%>">
					<td class="tableData">&nbsp;&nbsp;<%=stpMeta.getName()%></td>
					<%
						if(stpMeta.getStatus().equalsIgnoreCase(CRMBConstants.NOT_EXECUTED)){
							%>
							<td class="tableData" id="<%=stpMeta.getName()%>_status" name="<%=stpMeta.getName()%>_status"
							>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<%=rb.getString("wizard.intro.stp.status.not.executed.txt") %>
							</td>
							<td class="tableData" id="<%=stpMeta.getName()%>_log" name="<%=stpMeta.getName()%>_log"
							>&nbsp;</td>
							<%
						}else if(stpMeta.getStatus().equalsIgnoreCase(CRMBConstants.EXECUTED_SUCESSFULLY)){
							isAnySuccessfullExecution=true;
							%>
							<td class="tableData" id="<%=stpMeta.getName()%>_status" name="<%=stpMeta.getName()%>_status"
							><img src="images/risk/Complete.gif" />&nbsp;<%=rb.getString("wizard.intro.stp.status.successfully.executed.txt") %></td>
							<td class="tableData" id="<%=stpMeta.getName()%>_log" name="<%=stpMeta.getName()%>_log"
							><img src="images/risk/Log.gif" />&nbsp;<a href="renderreport.do?libname=RD_LOGS&file=<%=stpMeta.getLogFileName() %>&task_key=AnalysisLogs&menu_key=Scenarios"><%=rb.getString("wizard.intro.view.log.txt") %></a></td>
							<%
						}else if(stpMeta.getStatus().equalsIgnoreCase(CRMBConstants.EXECUTED_WITH_ERRORS)){
							%>
							<td class="tableData" id="<%=stpMeta.getName()%>_status" name="<%=stpMeta.getName()%>_status"
							><img src="images/risk/Error.gif" />&nbsp;<%=rb.getString("wizard.intro.stp.status.failed.txt") %></td>
							<td class="tableData" id="<%=stpMeta.getName()%>_log" name="<%=stpMeta.getName()%>_log"
							><img src="images/risk/Log.gif" />&nbsp;<a href="renderreport.do?libname=RD_LOGS&file=<%=stpMeta.getLogFileName() %>&task_key=AnalysisLogs&menu_key=Scenarios"><%=rb.getString("wizard.intro.view.log.txt") %></a></td>
							<%
						}else if(stpMeta.getStatus().equalsIgnoreCase(CRMBConstants.IN_PROGRESS)){
							String[] args = {stpMeta.getPercentageComplete()};
							String message = RbUtil.getString( (ResourceBundle) session.getAttribute(SessionKeys.RESOURCE_BUNDLE), "wizard.intro.stp.status.in.progress.fmt", args );
							%>
							<td class="tableData" id="<%=stpMeta.getName()%>_status" name="<%=stpMeta.getName()%>_status"
							><img src="images/risk/Progress.gif" />&nbsp;<%=message %></td>
							<td class="tableData" id="<%=stpMeta.getName()%>_log" name="<%=stpMeta.getName()%>_log"
							>&nbsp;</td>
							<%
							pageRefreshRequired=true;
						}else{
							%>
							<td class="tableData" id="<%=stpMeta.getName()%>_status" name="<%=stpMeta.getName()%>_status"
							>&nbsp;</td>
							<td class="tableData" id="<%=stpMeta.getName()%>_log" name="<%=stpMeta.getName()%>_log"
							>&nbsp;</td>
							<%
						}
					%>
					
					<%
					if(isAnalysisFolder){ 
						if(stpMeta.getStatus().equals(CRMBConstants.EXECUTED_SUCESSFULLY)){
					%>
						<td class="tableData" id="<%=stpMeta.getName()%>_R&R" name="<%=stpMeta.getName()%>_R&R"><img src="images/risk/ResultsTableReport.gif" />&nbsp;<a href="<%=rb.getString("Analysis_Results")+"&task_key=Results&menu_key=Analysis_Results"%>"><%=rb.getString("wizard.intro.view.result.txt") %></a></td>
					<%
						}else{
					%>
						<td class="tableData" id="<%=stpMeta.getName()%>_R&R" name="<%=stpMeta.getName()%>_R&R">&nbsp;</td>
					<%		
						}
					} 
					%>
					<td class="tableData" id="<%=stpMeta.getName()%>_LEDATE" name="<%=stpMeta.getName()%>_LEDATE"><%=(stpMeta.getLastExecutedDateStr().length()>0)?stpMeta.getLastExecutedDateStr(request.getLocale()):"&nbsp;" %></td>
				</tr>
			<%
		}
}//for
%>
</tbody>
</table>
<p/>
<div align="right">
	<% 
	
	if(isAnalysisFolder){ %>
		<input type="submit" id="viewDiagnostics" name="viewDiagnostics" value="<%=rb.getString("wizard.intro.btn.diagnostics.txt") %>"   onclick="openResultDiagnostics()"
		<%=((!executionInProgress) && isAnySuccessfullExecution)?"class=\"button\" onmouseover=\"this.className='button buttonhover'\" onmouseout=\"this.className='button'\"":"class=\"buttonDisabled\" disabled=\"disabled\"" %>/>
	<%} %>
	<input type="submit" name="WizardController_NEXT" value="<%=rb.getString("wizard.intro.btn.run.txt") %>" onclick="submitFormForFolder('<%=parent.getFolderUrl() %>');" 
	<%=(!executionInProgress)?"class=\"button\" onmouseover=\"this.className='button buttonhover'\" onmouseout=\"this.className='button'\"":"class=\"buttonDisabled\" disabled=\"true\"" %>/> 
</div>
</div>
<%
}//if	
}//for
%>

</div><!-- Spacing div ends -->


</form>
<jsp:include page="Bottom.jsp" />
<%@include file="common_include_bottom.inc" %>
