<%@page pageEncoding="UTF-8"%>
<%@ taglib uri="http://www.sas.com/taglib/sas" prefix="sas" %>
<%@page import="java.util.*" %>
<%@page import="com.sas.ets.creditrisk.*" %>
<%@page import="com.sas.ets.creditrisk.util.HtmlUtil" %>
<%@page import="com.sas.ets.creditrisk.view.Labels" %>
<%@page import="javax.swing.DefaultComboBoxModel" %>
<%@page import="com.sas.servlet.tbeans.form.html.ListBox" %>
<%@page import="com.sas.servlet.tbeans.form.html.CheckBox" %>
<%@page import="com.sas.services.user.UserContextInterface" %>
<%@page import="com.sas.ets.creditrisk.model.UserPreferencesModel" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<%@include file="common_include_top.inc" %>

<jsp:include page="wizard_tops_new.jsp" />

<style type="text/css">
.formLabel {
		padding-left: 20px;
}

.buttonBarBottom {
		bottom: 0px;
		position : absolute;
		width: 100%;
}
</style>
<%
	String currencyValue= (String)session.getAttribute(SessionKeys.DOMESTIC_CURRENCY);
	String authWarnMsg = (String)session.getAttribute(SessionKeys.AUTHORIZE_WARNING);
	boolean doesMainEntityExist = !Boolean.FALSE.equals(session.getAttribute(ResourceKeysCreditrisk.DOES_ENTITY_ENV_EXIST));
	Labels labels = (Labels)session.getAttribute("labels");
	String infoMsg = "";
	UserPreferencesModel model = (UserPreferencesModel)session.getAttribute("UserPreferencesModel");
	
	boolean isAdmin = (Boolean)session.getAttribute("isAdminUser");
	boolean isAnalyst = (Boolean)session.getAttribute("isAnalystUser");
	 String roleVal = null;
	 if(isAdmin){
		 roleVal = labels.getAdminRoleTxt();
	 }else if(isAnalyst){
		 roleVal = labels.getAnalystRoleTxt();
	 }else {
		 roleVal = labels.getUserRoleTxt();
	 }
%>

<div>
<form id="UserDetails" method="POST" action="userOptionsSave.do">
<input type="hidden" name="task_key" value="<%=request.getParameter("task_key") %>"/>
<input type="hidden" name="menu_key" value="<%=request.getParameter("menu_key") %>"/>
<div class="toppadding leftpadding rightpadding bottompadding">
<table width="100%">
<% 
		if (authWarnMsg != null) {			
			infoMsg = authWarnMsg + "<p>";
			String iconUrl = request.getContextPath() + "/images/risk/MessageInfo.gif";
%>	
			<tr>
				<td colspan="2">
					<jsp:include page="message_box_new.jsp"/>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>		
<%  
			session.removeAttribute(SessionKeys.AUTHORIZE_WARNING);
			session.removeAttribute(SessionKeys.MESSAGE_STRUCTURE);
	}
		else{
%>
			<tr>
				<td colspan="2">
					<div id="message">
					</div>
				</td>
				<td>
					&nbsp;
				</td>
			</tr>		
<%
	}
	
	// Create a new select object
	ListBox listboxGrp = new ListBox();
	// Get the model out of the session
	DefaultComboBoxModel modelGrp = (DefaultComboBoxModel)session.getAttribute(SessionKeys.WIZ_USEROPTIONS_BOX_ENTITIES);
	// Set the model
	listboxGrp.setModel(modelGrp);
	// Set the name of the form object
	listboxGrp.setName(RequestParamKeys.WIZ_USEROPTIONS_ENTITY);
	listboxGrp.setId(RequestParamKeys.WIZ_USEROPTIONS_ENTITY);
	// Set the selected value.
	listboxGrp.setSelectedItem((String)modelGrp.getSelectedItem());
	// Set the size of the control.
	listboxGrp.setSize(1);
	// Allow multiple selections
	listboxGrp.setMultipleSelections(false);
	listboxGrp.setOnChange("javascript:listBoxChange()");

	CheckBox entityCheckBox = (CheckBox)session.getAttribute(SessionKeys.WIZ_USEROPTIONS_BOX_SAVE_AS_DEFAULT_ENTITY);

	// Create a Directory list box
	ListBox listboxDir = new ListBox();
	// Get the model out of the session
	DefaultComboBoxModel modelDir = (DefaultComboBoxModel)session.getAttribute(SessionKeys.WIZ_USEROPTIONS_BOX_USERMODES);
	// Set the model
	listboxDir.setModel(modelDir);
	// Set the name of the form object
	listboxDir.setName(RequestParamKeys.WIZ_USEROPTIONS_USERMODE);
	listboxDir.setId(RequestParamKeys.WIZ_USEROPTIONS_USERMODE);
	// Set the selected value.
	listboxDir.setSelectedItem((String)modelDir.getSelectedItem());
	// Set the size of the control.
	listboxDir.setSize(1);
	// Allow multiple selections
	listboxDir.setMultipleSelections(false);
	if (!isAdmin && !isAnalyst) {
		listboxDir.setEnabled(false);	
	}
	listboxDir.setOnChange("javascript:listBoxChange()");

//	CheckBox userModeCheckBox =
//(CheckBox)session.getAttribute(SessionKeys.WIZ_USEROPTIONS_BOX_SAVE_AS_DEFAULT_USERMODE);
//	if (!isAdmin && !isAnalyst && isUser) {
//		userModeCheckBox.setEnabled(false);	
//}

	
	
	// Create a new select object for Configuration Set
	ListBox listboxConfigSet = new ListBox();
	// Get the model out of the session
	DefaultComboBoxModel modelConfigSet = (DefaultComboBoxModel)session.getAttribute(SessionKeys.WIZ_USEROPTIONS_BOX_CONFIG_SET);
	//Set id for the control
	listboxConfigSet.setId("configId");
	// Set the model
	listboxConfigSet.setModel(modelConfigSet);
	// Set the name of the form object
	listboxConfigSet.setName(RequestParamKeys.WIZ_USEROPTIONS_SELECTED_CONFIG_SET);
	// Set the selected value.
	listboxConfigSet.setSelectedItem((String)modelConfigSet.getSelectedItem());
	// Set the size of the control.
	listboxConfigSet.setSize(1);
	// Allow multiple selections
	listboxConfigSet.setMultipleSelections(false);
	
	
	
	
	
 	// Create a new select object
	ListBox listboxRowsPerPage = new ListBox();
	// Get the model out of the session
	DefaultComboBoxModel modelRowsPerPage = (DefaultComboBoxModel)session.getAttribute(SessionKeys.WIZ_USEROPTIONS_BOX_ROWSPERPAGE);
	// Set the model
	listboxRowsPerPage.setModel(modelRowsPerPage);
	// Set the name of the form object
	listboxRowsPerPage.setName(RequestParamKeys.WIZ_USEROPTIONS_ROWS_PER_PAGE);
	// Set the selected value.
	listboxRowsPerPage.setSelectedItem((String)modelRowsPerPage.getSelectedItem());
	// Set the size of the control.
	listboxRowsPerPage.setSize(1);
	// Allow multiple selections
	listboxRowsPerPage.setMultipleSelections(false);

 	// Create a new select object
	ListBox listboxColsPerPage = new ListBox();
	// Get the model out of the session
	DefaultComboBoxModel modelColsPerPage = (DefaultComboBoxModel)session.getAttribute(SessionKeys.WIZ_USEROPTIONS_BOX_COLSPERPAGE);
	// Set the model
	listboxColsPerPage.setModel(modelColsPerPage);
	// Set the name of the form object
	listboxColsPerPage.setName(RequestParamKeys.WIZ_USEROPTIONS_COLS_PER_PAGE);
	// Set the selected value.
	listboxColsPerPage.setSelectedItem((String)modelColsPerPage.getSelectedItem());
	// Set the size of the control.
	listboxColsPerPage.setSize(1);
	// Allow multiple selections
	listboxColsPerPage.setMultipleSelections(false);
	
	Boolean showRowNumsBoolean = (Boolean) session.getAttribute(SessionKeys.WIZ_USEROPTIONS_BOX_SHOWROWNUMS);
	CheckBox showRowNumsCheckBox = new CheckBox();
	showRowNumsCheckBox.setName(RequestParamKeys.WIZ_USEROPTIONS_SHOW_ROW_NUMS);
	showRowNumsCheckBox.setText(labels.getNumShowRowNumsTxt());
	showRowNumsCheckBox.setSelected(showRowNumsBoolean.booleanValue());

	CheckBox saveAsDefaultCheckBox = new CheckBox();
	saveAsDefaultCheckBox.setName(RequestParamKeys.WIZ_USEROPTIONS_SAVE_AS_DEFAULT);
	saveAsDefaultCheckBox.setText(labels.getSaveAsDefaultTxt());
	/* boolean isSaveAsDefaultCheckBoxChecked = false;
	if(userOptsManager.getSaveAsDefaultEntitySelected() && userOptsManager.getSaveAsDefaultUserModeSelected() && userOptsManager.getSaveAsDefaultRowsPerPageSelected() && userOptsManager.getSaveAsDefaultColsPerPageSelected() && userOptsManager.getSaveAsDefaultShowRowNumsSelected()){
		isSaveAsDefaultCheckBoxChecked = true;
	} */
		boolean isSaveAsDefaultCheckBoxChecked = Boolean.TRUE.equals(session.getAttribute("saveDefaultEntity"));
	saveAsDefaultCheckBox.setSelected(isSaveAsDefaultCheckBoxChecked);
%>

	<tr><td valign="top" width="50%">
         <table>
         <tr>
            <td colspan="2"><%=model.getUserOptionsEntityTitle()%></td>           
		 </tr>
         <tr>
            <td>
			  <label class="formLabel"> ${labels.groupLabel}</label>
            </td>
            <td>
				<%
					// Output the select
					listboxGrp.write(out);
				%>
            </td>		   
		</tr>
		<%
			// Output the select
			if (authWarnMsg == null) {
		%>
         <tr>
            <td>
		       <label class="formLabel">  ${labels.dirLabel}</label>
            </td>
            <td>
				<%
					// Output the select
					listboxDir.write(out);
				%>
            </td>
         </tr>
         <tr>
            <td>
		      <label class="formLabel"> ${labels.commonRoleLabel}</label>
            </td>
            <td>
		      <label> <%=roleVal%></label>
            </td>
         </tr>
         <tr>
            <td>
		      &nbsp;
            </td>
            <td>
		      &nbsp;
            </td>
         </tr>
         <tr>
            <td colspan="3">
               <%=model.getTitleDisplayOpts()%>
            </td>
         </tr>
         <tr valign="middle">
            <td valign="middle"><label class="formLabel">${labels.numRowsToDisplayTxt}:</label></td>
            <td valign="middle" width="100">
				<%
						listboxRowsPerPage.write(out);
				%>
            </td>
         </tr>
         <tr valign="middle">
            <td valign="middle"><label class="formLabel">${labels.numColsToDisplayTxt}:</label></td>
            <td valign="middle" width="100">
				<%
						listboxColsPerPage.write(out);
				%>
            </td>
         </tr>
         <tr valign="middle">
            <td valign="middle" colspan="2"  class="formLabel">
				<%
					showRowNumsCheckBox.write(out);
				%>
            </td>
         </tr>
		 <tr>
            <td>
		      &nbsp;
            </td>
            <td>
		      &nbsp;
            </td>
         </tr>
		
		</table></td><td valign="top" width="50%"><table>

		<%
			// Output the select
			if (doesMainEntityExist) {
		%>
         <tr>
            <td colspan="3">
                <%=model.getTitleProjectInfo()%>
            </td>
         </tr>
         <tr>
            <td>
			  <%-- <label class="formLabel"> <%=configLabel%>:</label> --%>
			  <label class="formLabel"> ${labels.configurationLabel}:</label>
            </td>
             <td>
			 <%
			   listboxConfigSet.write(out);
			%>
			</td>
         </tr>
         <tr>
            <td>
		       <label class="formLabel"> ${labels.currencyLabel}:</label>
            </td>
            <td>
		       <label id="currency"> ${currencyVal}  <%=currencyValue%></label>
            </td>
         </tr>
         
         <tr>
            <td>
				<label class="formLabel"> ${labels.dateOfLastRunLabel}:</label>
            </td>
            <td>
		       <label> ${dateOfLastRunVal} <%=model.getDateOfLastRunVal()%></label>
            </td>
         </tr>
         <tr>
            <td>
		       <label class="formLabel"> ${labels.dateOfLastUpdateLabel}:</label>
            </td>
            <td>
			   <label> ${dateOfLastUpdateVal}  <%=model.getDateOfLastUpdateVal() %> </label>
            </td>
         </tr>
<%
	}
}
%>
        </table>
      </td>
   </tr>
</table>

<p/>
<%
saveAsDefaultCheckBox.write(out);
%>

</div><!-- Spacing div ends -->

<div id="OKCancelDiv" class="buttonBar buttonBarBottom">
	<table>
		<tr>
			<td colspan="2">&nbsp;&nbsp;
				<input type="button" id="BUTTON_OK" name="BUTTON_OK" class="button" 
				value="${labels.buttonOk}" 
				onclick="OKClick()"
				onmouseout="this.className='button'" onmouseover="this.className='button buttonhover'"/>
				&nbsp;
				<input type="button" id="BUTTON_CANCEL" name="BUTTON_CANCEL" class="button" 
				value="${labels.buttonCancel}"
				onclick="CancelClick()"
				onmouseout="this.className='button'" onmouseover="this.className='button buttonhover'"/>
				&nbsp;
	 		</td>
 		</tr>
 	</table>
</div>

<div id="DoneDiv" class="buttonBar buttonBarBottom" style="display:none;">
	<table>
		<tr>
			<td colspan="2">&nbsp;&nbsp;				
				<input type="submit" id="BUTTON_DONE" name="BUTTON_DONE" class="button" 
				value="${labels.buttonDone}"
				onclick="DoneClick()"
				onmouseout="this.className='button'" onmouseover="this.className='button buttonhover'"/>
	 		</td>
 		</tr>
 	</table>
</div>

</form>
</div>

<script type="text/javascript">
function OKClick(){
	
		submitDisableAllForms();	
		document.getElementById("message").innerHTML="<img src='<%=request.getContextPath()%>/images/risk/MessageProcess.gif' alt='Processing'/> <label> <%=labels.getUserOptionsUpdateProgress()%></label>";
		sendData();
		restoreProfilesButtonLabel();
		
	}
</script>

<script type="text/javascript">
	function sendData() {
		xmlHttp=GetXmlHttpObject()
		if (xmlHttp==null) {
			alert ("<%=labels.getAjaxSupportError() %>");
			return
		} 

	  xmlHttp.open("POST","userOptionsSave.do");
	  xmlHttp.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
	  xmlHttp.onreadystatechange=getResponse;
	  var parms='';
	  var dataItem = document.getElementById("UserDetails");
	   for(var i=0; i< dataItem.length; i++) {
	        currentEl=dataItem.elements[i];
	        name=dataItem.elements[i].name;
			if(dataItem.elements[i].type && dataItem.elements[i].type == "checkbox") {
		             if(dataItem.elements[i].checked)
						value = "yes";
					else
						value = "no";
			}
			else{
		        value=dataItem.elements[i].value;
			}
	        parms=parms+name+'='+value;
	        if (i != dataItem.length - 1) parms=parms+'&';
	      }
		
	  xmlHttp.send(parms);
	}
	function DoneClick(){
		submitDisableAllForms();
		document.forms[0].action = "userOptionsSave.do";
			document.forms[0].submit();
	}
	function CancelClick(){
		submitDisableAllForms();
		<%
			if(authWarnMsg == null){
		%>
				//alert('Call userOptionsSave.do');
				document.forms[0].action = "userOptionsSave.do";
				document.forms[0].submit();
		<%
			}
			else{
		%>
				document.forms[0].action = "logoff.do";
				document.forms[0].submit();
		<%
			}
		%>
		restoreProfilesButtonLabel();
	}

	var xmlHttp;

	/* Defines the xmlHttp object cross-browser */
	function GetXmlHttpObject()
	 { 
	  var objXMLHttp=null
	  if (window.XMLHttpRequest)
	    {
	     objXMLHttp=new XMLHttpRequest();
	    }
	  else if (window.ActiveXObject)
	    {
	     objXMLHttp=new ActiveXObject("Microsoft.XMLHTTP");
	    }
	  return objXMLHttp
	 } 
	 
	function getResponse(){

		if (xmlHttp.readyState==4 && xmlHttp.status==200)
		{ 	
		 var response=xmlHttp.responseText;
		 var response=xmlHttp.responseText
		 var start_pos = response.indexOf('{') + 1;
		 var end_pos = response.indexOf('}',start_pos);
		 var curr = response.substring(start_pos,end_pos);
			
		 document.getElementById("message").innerHTML=response;
	 	 document.getElementById("OKCancelDiv").style.display='none';
		 document.getElementById("DoneDiv").style.display='block';
	 	 document.getElementById("BUTTON_DONE").disabled=false;
	 	  document.getElementById("currency").innerHTML=curr;
		 delete xmlHttp;
		 xmlHttp = null;
		} 
	}

	function listBoxChange(){
	  disableAllForms();
	  showDiv("message");	//in case the user has clicked on the "Close this Message" link in the message box which hides the div
	  document.getElementById("message").innerHTML=
	    "<img src='<%=request.getContextPath()%>/images/risk/MessageProcess.gif' alt='Processing'/><label><%=labels.getUserOptionsEnvCheckLabel()%></label>";

	  xmlHttp=GetXmlHttpObject()
	  if (xmlHttp==null)
	    {
	     alert ("<%=labels.getAjaxSupportError() %>");
	     return
	    } 

	  xmlHttp.open("POST","checkEnvironment.do");
	  xmlHttp.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
	  xmlHttp.onreadystatechange=getListBoxChangeResponse;
	  var entity = document.getElementById("<%=RequestParamKeys.WIZ_USEROPTIONS_ENTITY%>");
	  var userMode = document.getElementById("<%=RequestParamKeys.WIZ_USEROPTIONS_USERMODE%>");
	  var parms = null;
	  if(userMode != null){
		parms = entity.name+"="+entity.value+'&'+ userMode.name+"="+userMode.value;
	  }
	  else{
		parms = entity.name+"="+entity.value;
	  }
	  xmlHttp.send(parms);
	}

	function getListBoxChangeResponse(){
	if (xmlHttp.readyState==4 && xmlHttp.status==200)
		{ 	
		 var response=xmlHttp.responseText
		 var start_pos = response.indexOf('{') + 1;
		 var end_pos = response.indexOf('}',start_pos);
		 var curr = response.substring(start_pos,end_pos);
		 document.getElementById("currency").innerHTML=curr;
		 
		 document.getElementById("message").innerHTML=response;
		 var start_pos1= response.indexOf('[') + 1;
		 var end_pos1 = response.indexOf(']',start_pos1);
		 var entityConfigList= response.substring(start_pos1,end_pos1);
		 var entityConfigArray=entityConfigList.split(",");
		 clearConfigList();
		 populateConfigList(entityConfigArray);
		 
		 enableAllForms();
		 delete xmlHttp;
		 xmlHttp = null;
		} 
	}
	
	function populateConfigList(entityConfigArray) {
		var selectConfigBox=document.getElementById('configId');
		selectConfigBox.innerHTML = "";
	
        for (var loop=0; loop<entityConfigArray.length; loop++) {
            var tempOpt = new Option(entityConfigArray[loop], entityConfigArray[loop]);
            document.getElementById('configId').options.add(tempOpt);
        }
	}
	function clearConfigList(){
		var select = document.getElementById("configId");
		var length = select.options.length;
		for (i = 0; i < length; i++) {
		  select.options[i] = null;
		}	
	}
	
</script>

<jsp:include page="Bottom.jsp" />
<%@include file="common_include_bottom.inc" %>



