/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: batch_crisk_50_run_reg_proj.sas
 *
 * PURPOSE: CRiskM batch run: run regulatory project for USfinal rule
 *
 *   USAGE: 
 *
 *   NOTES: 
 *          
 *
 *****************************************************************************/

%macro batch_crisk_50_run_reg_proj;

/****************************************************************************
 *        Redefine calculation, output and crm allocation options
 ****************************************************************************/

/*Define frm_a00_init global macro variable to identify the call of a00_init_options macro from a00_init macro*/
%global frm_a00_init;
%let frm_a00_init=0;
%a00_init_options ;


%e10_project_regulatory;

/*- post-processing -*/
%post_regulatory_run;


/*- subsequent batch runs need to know which previous batches have been run -*/
%global RUN_STAGE;
%let RUN_STAGE = 50;

%u00_save_macro_definitions;
%mend batch_crisk_50_run_reg_proj;
