/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: Batch_CRiskM_35_Run_tb_Project
 *
 * PURPOSE: CRiskM batch run: run mark-to-market project.
 *
 *   USAGE: 
 *
 *   NOTES: 
 *          
 *
 *****************************************************************************/

%macro batch_criskm_35_run_tb_project;

/****************************************************************************
 *        Redefine calculation, output and crm allocation options
 ****************************************************************************/

/*Define frm_a00_init global macro variable to identify the call of a00_init_options macro from a00_init macro*/
%global frm_a00_init;
%let frm_a00_init=0;
%a00_init_options ;

%u01_create_simulation_data;

%u02_create_simulation_models;

%e00_create_proj_env_tb;

%e05_project_ccr_std_mtm;

%e07_project_ccr_std;

%e07_project_ccr_imm;

%r00_post_ccr_0;

/*- subsequent batch runs need to know which previous batches have been run -*/
%global RUN_STAGE;
%let RUN_STAGE = 35;

%u00_save_macro_definitions;
%mend batch_criskm_35_run_tb_project;
