%macro rrm_create_master;

		data _NULL_;
			rc = dcreate("&system_id", "&group_loc.");
			rc = dcreate("master", "&group_loc.&pathsep.&system_id");
		run;
  /*- check for Windows host environment -*/
  %if &SYSSCP eq WIN or &SYSSCP eq DNTHOST %then %do;
  OPTIONS NOXWAIT NOXSYNC mprint mlogic;
	******************************************************************************************;
	* Copy Datamart and underlying mapping,staging and static folders.                       *;
	******************************************************************************************;
	X "xcopy  &home_loc.&pathsep.templates&pathsep.group        &group_loc&pathsep.&system_id.  /e ";

	******************************************************************************************;
	* Copy contents under "user" area to master or users/username folder.                    *;
	******************************************************************************************;
	X "xcopy  &home_loc.&pathsep.templates&pathsep.user         &group_loc&pathsep.&system_id.&pathsep.master  /e /Y";

	******************************************************************************************;
	* Copy user_prefs.sas7bdat under "user_prefs" area to master or users/username folder.   *;
	******************************************************************************************;
	X "xcopy  &home_loc.&pathsep.templates&pathsep.user_prefs   &group_loc&pathsep.&system_id.&pathsep.master  /e /Y";

	******************************************************************************************;
	* Copy user_prefs.sas7bdat under "user_prefs" area to master or users/username folder.   *;
	******************************************************************************************;
	X "xcopy  &home_loc.&pathsep.templates&pathsep.user_prefs   &home_loc.&pathsep.usrprefs /e /Y";
    %end;
	/*- assume Unix host environment if not Windows -*/
    %else %do;
    ******************************************************************************************;
    * Copy Datamart and underlying mapping,staging and static folders.                       *;
    ******************************************************************************************;
     X "cp -r  &home_loc.&pathsep.templates&pathsep.group&pathsep./*        &group_loc&pathsep.&system_id.   ";

    ******************************************************************************************;
    * Copy contents under "user" area to master or users/username folder.                    *;
    ******************************************************************************************;
    X "cp -r  &home_loc.&pathsep.templates&pathsep.user&pathsep./*         &group_loc&pathsep.&system_id.&pathsep.master   ";

    ******************************************************************************************;
    * Copy user_prefs.sas7bdat under "user_prefs" area to master or users/username folder.   *;
    ******************************************************************************************;
    X "cp -r  &home_loc.&pathsep.templates&pathsep.user_prefs&pathsep./*   &group_loc&pathsep.&system_id.&pathsep.master   ";

    ******************************************************************************************;
    * Copy user_prefs.sas7bdat under "user_prefs" area to master or users/username folder.   *;
    ******************************************************************************************;
    X "cp -r  &home_loc.&pathsep.templates&pathsep.user_prefs&pathsep./*   &home_loc.&pathsep.usrprefs  ";
    %end;

	%rrm_update_entity;

%mend rrm_create_master;
