%macro rrm_create_user;

	data _NULL_;
		rc = dcreate("&usr_nm", "&group_loc.&pathsep.&system_id.&pathsep.users");
	run;

    %if &SYSSCP eq WIN or &SYSSCP eq DNTHOST %then %do;
	OPTIONS NOXWAIT NOXSYNC mprint mlogic;

	******************************************************************************************;
	* Copy contents under "user" area to master or users/username folder.                    *;
	******************************************************************************************;
	X "xcopy  &home_loc.&pathsep.templates&pathsep.user         &group_loc.&pathsep.&system_id.&pathsep.users&pathsep.&usr_nm  /e /Y";

	******************************************************************************************;
	* Copy user_prefs.sas7bdat under "user_prefs" area to master or users/username folder.   *;
	******************************************************************************************;
	X "xcopy  &home_loc.&pathsep.templates&pathsep.user_prefs   &group_loc&pathsep.&system_id.&pathsep.users&pathsep.&usr_nm /e /Y";

	******************************************************************************************;
    %end;
	/*- assume Unix host environment if not Windows -*/
    %else %do;
	******************************************************************************************;
	* Copy contents under "user" area to master or users/username folder.                    *;
	******************************************************************************************;
	X "cp -r    &home_loc.&pathsep.templates&pathsep.user&pathsep./*         &group_loc.&pathsep.&system_id.&pathsep.users&pathsep.&usr_nm ";

	******************************************************************************************;
	* Copy user_prefs.sas7bdat under "user_prefs" area to master or users/username folder.   *;
	******************************************************************************************;
	X "cp -r    &home_loc.&pathsep.templates&pathsep.user_prefs&pathsep./*   &group_loc&pathsep.&system_id.&pathsep.users&pathsep.&usr_nm ";

	******************************************************************************************;
    %end;


	******************************;
	* Step changed to datastep   *;
	******************************;

	libname usr_lib "&home_loc.&pathsep.templates&pathsep.user_prefs";
	%let outds=%trim(user_prefs_&usr_nm );
	data usr_lib.&outds;
	 set usr_lib.user_prefs;
	run;

	%rrm_update_entity;


%mend rrm_create_user;
