*********************************************************************************;
* Copyright (c) 2015 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. *;
* Name   : rrm_update_entity.sas                                                *;
* Purpose: Update entity in Batch mode                                          *;
*                                                                               *;
*********************************************************************************;

%macro rrm_update_entity;

%rrminit;

%getdelimiter;

%autoexec_criskm (sysid=&SYSTEM_ID, usrtype=&usertype, usrname=&rrm_user,reg_ctxt=&configuration);

%if &Refresh_rrr=y %then %do;
	%put NOTE:User Requested to Refresh Risk Reporting Repository.;
	%u00_update_user_reportmart;
%end;
%else %do;
	%put NOTE:User did not request to Refresh Risk Reporting Repository.;
%end;


%let LOG_FILE_NAME=update_entity_datamart_main_master;

%if &Refresh_entity=y %then %do;
	%put NOTE:User Requested to Update Entity.;
	%batch_criskm_updt_grp_datamart
%end;
%else %do;
	%put NOTE:User did not request to Update Entity.;
%end;

%mend rrm_update_entity;
