<%@page import="com.sas.ets.creditrisk.util.MetadataAccessUtil"%>
<%@page pageEncoding="UTF-8"%>
<%@ taglib uri="http://www.sas.com/taglib/sas" prefix="sas" %>
<%@page import="com.sas.services.storedprocess.*" %>
<%@page import="java.util.*" %>
<%@page import="java.text.*" %>
<%@page import="java.io.*" %>
<%@page import="com.sas.ets.creditrisk.*" %>
<%@page import="com.sas.ets.creditrisk.util.HtmlUtil" %>
<%@page import="com.sas.ets.creditrisk.util.RbUtil" %>
<%@page import="com.sas.services.user.UserContextInterface" %>
<%@page import="com.sas.iom.SAS.*" %>
<%@page import="com.sas.svcs.workspace.client.WorkspaceServiceInterface"%>;
<%@page import="org.springframework.web.context.WebApplicationContext"%>
<%@page import="org.springframework.web.servlet.support.RequestContextUtils"%>
<%@page import="com.sas.svcs.workspace.client.FileServiceInterface"%>
<%@page import="com.sas.ets.creditrisk.util.SoftwareComponentUtil"%>
<%@include file="common_include_top.inc" %>

<%
String disableProperties = "no";
if (StoredProcessRunList.isExecuting(session)) {
	request.setAttribute("auto-refresh","yes");
	disableProperties = "yes";
}//if
%>

<jsp:include page="wizard_tops_new.jsp" >
	<jsp:param value="Analysis" name="task_key"/>
	<jsp:param value="Scenario_Run_Status" name="menu_key"/>
	<jsp:param value="<%=disableProperties%>" name="disableProperties"/>	
</jsp:include>


<div>
<div class="toppadding leftpadding rightpadding bottompadding">

<%
boolean authOk = false;
//if ((!isMasterMode && isAnalyst)) {
	authOk = true;
//}
if (!authOk) {
	
	
	//String errMsg = RbUtil.getString(crSession.getRB(), ResourceKeysCreditrisk.ERROR_NO_AUTH, "");
	String errMsg = MessageFormat.format((String)(request.getAttribute("errorNoAuth")), "");
	//String titleMsg = crSession.getRB().getString(ResourceKeysCreditrisk.COMMON_TITLE_ERR);
	String titleMsg = (String)(request.getAttribute("commonTitleError"));
	
	String iconUrl = request.getContextPath() + "/images/risk/MessageError.gif";
	session.setAttribute(SessionKeys.MESSAGE_STRUCTURE, new MessageStruct(titleMsg, errMsg, iconUrl, MessageStruct.STYLE_ERR, 0));
%>
<jsp:include page="message_box_new.jsp"/>
<%  
	session.removeAttribute(SessionKeys.MESSAGE_STRUCTURE);
}
else {

//try {

//String btnLabelRefresh = rb.getString(ResourceKeysCreditrisk.JSP_STORED_PROC_STAT_REFRESH);
String btnLabelRefresh = (String)(request.getAttribute("storedProcStatREfresh"));
//String btnLabelDisplayLog = rb.getString(ResourceKeysCreditrisk.JSP_STORED_PROC_STAT_DISPLAY_LOG);
String btnLabelDisplayLog = (String) (request.getAttribute("storedProcStatDispalyLog"));
//String btnLabelClear = rb.getString(ResourceKeysCreditrisk.JSP_STORED_PROC_STAT_CLEAR_RESULTS);
String btnLabelClear = (String) (request.getAttribute("storedProcStatClearResult"));
//String btnLabelAdhoc = rb.getString(ResourceKeysCreditrisk.JSP_STORED_PROC_STAT_ADHOC);
String btnLabelAdhoc = (String) (request.getAttribute("storedProcStatAdhoc"));

if (request.getParameter("clearLastResults")!=null) {
	StoredProcessRunList.clear(request.getSession(), true); 
}//if 

StoredProcessResultList.SPExecutionInterface[] spResults =  null;
Throwable[] execThrowable = null;
String[] spExecs = null;
Date startTime = null;
StringBuffer[] logs = null;
StoredProcessResultList lastResults = StoredProcessResultList.getLastResults(request,session);
if (lastResults!=null) {
	spResults =  lastResults.getExecutionResults(); //StoredProcessRunList.getLastResults(request);
	execThrowable = lastResults.getExecutionErrors(); //StoredProcessRunList.getLastExecThrowables(request);
	spExecs = lastResults.getStoredProcNames(); //StoredProcessRunList.getLastExecuted(request);
	startTime = lastResults.getExecutionStartTime(); //StoredProcessRunList.getTimeStarted(request);
	logs = lastResults.getExecutionLogs(); //StoredProcessRunList.getLastResultLogs(request);
}//if
	//String webRepStud = crSession.getSSOEnabledUrl(request, Config.get("webreportstudio.location") + "/gotoChooseReports.do");
%>

<%-- <%=HtmlUtil.decorateTitle(rb.getString(ResourceKeysCreditrisk.JSP_STORED_PROC_STAT_TITLE))%> --%>
<%=HtmlUtil.decorateTitle((String)(request.getAttribute("storedProcStatTitle")))%>

<p/>

<%
if (request.getAttribute("auto-refresh")!=null) {
	String interval = MetadataAccessUtil.getMetaDataProperty("criskm.autorefresh.interval") ;//.get("criskm.autorefresh.interval");
	if ( (interval!=null) && StoredProcessRunList.isExecuting(request.getSession()) ) {
		out.println("<img src=\"" + request.getContextPath()+ "/images/risk/MessageProcess.gif\"/>");
		/* out.println(RbUtil.getString(rb,"autorefresh.message.fmt.txt", interval)); */
		out.println(MessageFormat.format((String)(request.getAttribute("autoRefreshMessageFmt")), interval));
		out.println("<br />");
	}//if
}//if
if ( (lastResults!=null) && !StoredProcessRunList.isExecuting(request.getSession()) ) {
	//for params, start over at beginning of stored process list if you land on this screen
	session.removeAttribute(StoredProcessRunList.STORED_PROC_NAME_KEY);
	out.println("<a href=" + request.getContextPath() + "/storedProcParam.do?task_key=Analysis&menu_key=Scenarios>"
			+ "<img src=\"" + request.getContextPath() + "/images/risk/execute.gif\"</img>&nbsp;" 
			/* + rb.getString("wizard.reexecute.txt") + "</a>"); */
			+ (String) (request.getAttribute("wizardReExecute")) + "</a>");
}//if
%>


<form id="storedProcessStatusScenarioResults" name="scenarioResults" method="get" action=<%=request.getContextPath()+"/storedProcStatus.do"%>>

<input type="hidden" name="<%=RequestParamKeys.DISPLAY_BANNER_MENU%>" value="<%=request.getParameter(RequestParamKeys.DISPLAY_BANNER_MENU)%>">

<%
if (startTime!=null) {
	String startTimeString = DateFormat.getDateTimeInstance( DateFormat.LONG, DateFormat.LONG, request.getLocale() ).format( startTime );
	/* out.println(RbUtil.getString(rb,"wizard.scenario.lastscenario.startedat.fmt",startTimeString) + "<br />"); */
	out.println(MessageFormat.format((String)(request.getAttribute("lastScenarioStartdat")), startTimeString) + "<br />");
	
}//if
%>

<div class="buttonBar">
<table>
	<tr>
		<td><input type="submit" class="button" name="refresh" value="<%=btnLabelRefresh%>" onClick="return submitDisableAllForms();" />&nbsp;&nbsp;</td>
		<td><input type="submit" class="button" name="displayAllLines" value="<%=btnLabelDisplayLog%>" onClick="return submitDisableAllForms();"  />&nbsp;&nbsp;</td>

<%
if (!StoredProcessResultList.isLogMode(request,session)) {
%>
		<td><input type="submit" class="button" name="clearLastResults" value="<%=btnLabelClear%>" onClick="return submitDisableAllForms();" />&nbsp;&nbsp;</td>
<%
}//if
%>

		<td><input type="submit" class="button" name="adhoc" value="<%=btnLabelAdhoc%>" onClick="document.scenarioResults.action='webReport.do';"  onClick="return submitDisableAllForms();" />&nbsp;&nbsp;</td>
		<%--document.scenarioResults.target='webReportWindow';--%>
	</tr>
</table>
</div>

<%
if ( (spResults!=null)&&(spResults.length>0) ) {
	out.println("<ol>");
	for (int i=0; i<spResults.length; i++) {
		out.print("<li><b>" + spExecs[i] + "</b>: ");
		if (spResults[i]==null) {
			if ( (execThrowable!=null) && (execThrowable[i]!=null) ) {
				//out.println(RbUtil.getString(rb, ResourceKeysCreditrisk.JSP_AN_ERROR_OCCURRED, execThrowable[i].getMessage()));
				out.println(MessageFormat.format((String)(request.getAttribute("errorOccurred")), execThrowable[i].getMessage()));
				out.println("<br><pre>");
				PrintWriter out2 = new PrintWriter(out, true);
				execThrowable[i].printStackTrace(out2);
				out2.flush();
				out.println("</pre>");
			}//if
			else if ( (i==0) || (spResults[i-1]!=null) ) {
				if (!StoredProcessResultList.isLogMode(request)) {
					/* out.println(rb.getString(ResourceKeysCreditrisk.JSP_CURRENTLY_EXECUTING1)); */
					out.println((String)request.getAttribute("currentlyExecuting1"));
				}//if
			}//else if
			else {
				/* out.println(rb.getString(ResourceKeysCreditrisk.JSP_NOT_STARTED_YET)); */
				out.println((String)(request.getAttribute("notStartedYet")));
			}//else
		}//if
		else {
			int status = spResults[i].getStatus();
			if (status==Execution2Interface.STATUS_EXECUTING) {
				/* out.println(rb.getString(ResourceKeysCreditrisk.JSP_CURRENTLY_EXECUTING2)); */
				out.println((String)(request.getAttribute("currentlyExecuting2")));
			}//if
			else if (status==Execution2Interface.STATUS_COMPLETED_WITHOUT_EXCEPTION) {
				/* out.println(rb.getString(ResourceKeysCreditrisk.JSP_COMPLETED_SUCCESSFULLY)); */
				out.println((String)(request.getAttribute("completedSuccessfully")));
				String outputLoc = spResults[i].getOutputLocation();
				if ((outputLoc!=null) && !outputLoc.trim().equals("") ) {
					%>
					<br/><a href="<%=request.getContextPath()%><%=outputLoc%>">
					<%-- <%=rb.getString("jsp.output.location.view.results.txt")%></a> --%>
					<%=(String)(request.getAttribute("outPutLocationViewResult"))%></a>
					<%					
				}//if
			}//else if
			else if ( (status==Execution2Interface.STATUS_EXCEPTION_OCCURRED) || (status==Execution2Interface.STATUS_SAS_EXCEPTION_OCCURRED) ) {
				/* out.println(rb.getString(ResourceKeysCreditrisk.JSP_ERRORS_OCCURED) + " <ul>"); */
				out.println((String)(request.getAttribute("errorOccured")) + " <ul>");
				Exception[] excs = spResults[i].getExceptions();
				for (int j=0; j<excs.length; j++) {
					out.println("<li>" + excs[j] + "</li>");
				}//for
				out.println("</ul>");
			}//else if
			/* else out.println(RbUtil.getString(rb, ResourceKeysCreditrisk.JSP_UNKNOWN_STATUS_CODE, status)); */
			else out.println(MessageFormat.format((String)(request.getAttribute("unknownStatusCode")), status));
		}//else spResults[i] ! null

		//SASSession sasSession = crSession.createIOMSession();
		//IWorkspace workspace = sasSession.getWorkspace();
		//IFileService fileService = workspace.FileService();
		/* WorkspaceServiceInterface workspace =  crSession.getWorkspaceConnection().getWorksapceService();
FileServiceInterface fileService = workspace.getFileService(); */
		BatchCRiskMLogFile logFile = null;
		if (lastResults!=null) {
			//System.out.println("Getting log file " + i);
			logFile = lastResults.getLogFiles()[i];
		}//if

		if ( (logFile == null) ) { //|| (!logFile.exists(fileService)) ) {
			//System.out.println("logFile==null:1");
%>
<br/>
<%
			out.print("<p>");
			if (logs[i]==null) {
			   /* out.print(rb.getString(ResourceKeysCreditrisk.JSP_BATCH_SAS_VIEW_RESULTS_NONE)); */
			   out.print((String)(request.getAttribute("batchSASViewResultNone")));
			}//if
			else {
				if (spResults[i]!=null) out.println(spResults[i].getLogFileName());
				String startToken = BatchCRiskMLogFile.ERROR_TOKEN;
				boolean hasErrors = false;
				StringReader sr = new StringReader(logs[i].toString());
				BufferedReader br = new BufferedReader(sr);
				String line = br.readLine();
				while (line!=null) {
					if ( line.startsWith(startToken) ) {
						hasErrors = true;
						break;
					}//if
					line = br.readLine();
				}//while
				br.close();
				sr.close();
				/* if (hasErrors) out.println("&nbsp;" + rb.getString(ResourceKeysCreditrisk.JSP_ERRORS_IN_LOG)); */
				if (hasErrors) out.println("&nbsp;" + (String)(request.getParameter("errorInLog")));
			}//else
			out.println("</p>");
%>
<br><div class="buttonBar">
<input type="submit" class="button" name="displayAllLines<%=i%>" value="<%=btnLabelDisplayLog%>"  onClick="return submitDisableAllForms();" /></div><br>
<%
			if ((request.getParameter("displayAllLines"+i)!=null) || (request.getParameter("displayAllLines")!=null) ) {
				/* out.println("<p><b>" + rb.getString("jsp_batch_sas_view_heading_log.txt") + "</b>"); */
				out.println("<p><b>" + (String)(request.getAttribute("batchSASViewHeadingLog")) + "</b>");
				if (logs[i]!=null) {
					out.println("<font size=\"+1\"><pre>");
					out.println(logs[i]);
					out.println("</pre></font>");
				}//if
				/* else out.println(rb.getString(ResourceKeysCreditrisk.JSP_NO_LOG_TO_DISPLAY)); */
				else out.println((String)(request.getAttribute("noLogToDisplay")));
				out.println("</p>");
			}//if
		}//if logFile == null or not exists
	
	
	
if (logFile == null) {
	//System.out.println("logFile==null:2");
}//if
else { //logFile!=null
	String requestAttKey = BatchCRiskMLogFile.class.getName() + "_log_file.jsp";
	Integer index = new Integer(i);
	request.setAttribute(requestAttKey,index);
%>
<jsp:include page="log_file_new.jsp" />
<%
}//else log file ! null


		out.println("</li>&nbsp<br>");
	
	}//for i
	out.println("</ol>");
}//if
else {
	out.println("<p>");
	/* out.println(rb.getString(ResourceKeysCreditrisk.JSP_NO_RESULTS_TO_DISPLAY)); */
	out.println((String)(request.getAttribute("noResultToDispaly")));
	out.println("</p>");
}//else

//}//try
//catch (Throwable thr) {
//	System.err.println("*********************************************************************************");
//	thr.printStackTrace();
//	System.err.println("*********************************************************************************");
//	throw thr;
//}//catch
%>


</form>

<%
}
%>
</div><!-- Spacing div ends -->
</div>
<jsp:include page="Bottom.jsp" />

<%@include file="common_include_bottom.inc" %>