%macro rrm_check_user(user_nm);
 %global missing_user;
      data _null_;
            length user user_uri user id $256 ;
            user = "omsobj:Person?@Name='" || "&user_nm" ||"'";
            id=".";
            nobj = metadata_getnobj(user, 1, user_uri);
            id=scan(user_uri,2,"\");
            flag=1;
            if length(id)>1 then do;
                  flag=0;
            end;
            call symput("missing_user",flag);
      run;
      %if &missing_user=1 %then %do;
                  %put ERROR: missing user id &user_nm from SAS metadata;
      %end;
      %if &missing_user=0 %then %do;
                  %put NOTE: User id &user_nm exists in SAS metadata;
      %end;
%mend rrm_check_user;
