/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: Batch_CRiskM_40_Run_MtM_Project
 *
 * PURPOSE: CRiskM batch run: run mark-to-market project.
 *
 *   USAGE: 
 *
 *   NOTES: 
 *          
 *
 *****************************************************************************/

%macro batch_criskm_40_run_mtm_project;

/****************************************************************************
 *        Redefine calculation, output and crm allocation options
 ****************************************************************************/

/*Define frm_a00_init global macro variable to identify the call of a00_init_options macro from a00_init macro*/
%global frm_a00_init;
%let frm_a00_init=0;
%a00_init_options ;

%e00_create_project_environment;

%e05_project_mtm;
%post_val_run;

/*- subsequent batch runs need to know which previous batches have been run -*/
%global RUN_STAGE;
%let RUN_STAGE = 40;

%u00_save_macro_definitions;
%mend batch_criskm_40_run_mtm_project;
