%macro rrm_check_group(group_nm);
      data _null_;
            length user user_uri user id $256 ;
            user = "omsobj:IdentityGroup?@Name='" || "&group_nm" ||"'";
            id=".";
            nobj = metadata_getnobj(user, 1, user_uri);
            id=scan(user_uri,2,"\");
            flag=1;
            if length(id)>1 then do;
                  flag=0;
            end;
            call symput("missing_group",flag);
      run;
      %if &missing_group=1 %then %do;
                  %put NOTE: missing user group &group_nm from SAS metadata;
      %end;
      %if &missing_group=0 %then %do;
                  %put NOTE: User Group &group_nm exists in SAS metadata;
      %end;
	 proc sql;
	 	insert into entity_value
		(entity_name,entity_exist)
		values("&group_nm",&missing_group);
	 quit;
%mend rrm_check_group;
